Page 1 of 2 12 LastLast
Results 1 to 10 of 14

Thread: Devede won't start

  1. #1

    Default Devede won't start

    Machine 2 in signature

    Installed Devede 3.22.0-4.2 from Packman repo using zypper.

    On trying to start Devede from terminal I get the following message and Devede does not start.

    Code:
    labud@install:~> devede
    DeVeDe 3.22.0
    Locale: en_US.UTF-8
    Using package-installed files
    Failed to load modules DEVEDE_CONVERT. Exiting
    labud@install:~>
    Also tried to start Devede from Start menu, but also Devede does not start. While looking for what DEVEDE-CONVERT might be, I found some info saying I had to have cdrkit-cdrtools-compat file installed.

    Using zypper:

    Code:
    labud@install:~> sudo zypper install cdrkit-cdrtools-compat
    [sudo] password for root:  
    Loading repository data...
    Reading installed packages...
    'cdrkit-cdrtools-compat' not found in package names. Trying capabilities.
    No provider of 'cdrkit-cdrtools-compat' found.
    Resolving package dependencies...
    
    Nothing to do.
    labud@install:~> 
    I uninstalled Devede.

    While trying to find alternate software I ran across DevedeNG which apparently replaces the old Devede.
    DeVeDeNG 4.11.0-1.10 is a rewrite from scratch of the old Devede, to work with Python3 and Gtk3, and with a new internal architecture that allows to expand it and easily add new features.
    from http://www.rastersoft.com/programas/devede.html

    So, using zypper:
    Code:
    labud@install:~> sudo zypper install devedeng
    [sudo] password for root:  
    Loading repository data...
    Reading installed packages...
    Resolving package dependencies...
    
    Problem: nothing provides cdrkit-cdrtools-compat needed by devedeng-4.11.0-1.10.noarch
     Solution 1: do not install devedeng-4.11.0-1.10.noarch
     Solution 2: break devedeng-4.11.0-1.10.noarch by ignoring some of its dependencies
    
    Choose from above solutions by number or cancel [1/2/c/d/?] (c): 1
    Resolving dependencies...
    Resolving package dependencies...
    
    Nothing to do.
    labud@install:~> sudo zypper install cdrkit-cdrtools-compat
    Loading repository data...
    Reading installed packages...
    'cdrkit-cdrtools-compat' not found in package names. Trying capabilities.
    No provider of 'cdrkit-cdrtools-compat' found.
    Resolving package dependencies...
    
    Nothing to do.
    labud@install:~> 
    Is anyone else having this problem or does anyone know why Devede or Devedeng will not work?
    They are both listed in the Packman repos, but cdrkit-cdrtools-compat is not listed. I found this cdrkit-cdrtools-compat here:
    http://rpm.pbone.net/index.php3?stat...srodzaj=3&dist
    but was unsure which, if any, to choose.
    My guess would be this one:
    openSUSE Tumbleweedftp5.gwdg.de/pub/opensuse/repositories/home:/vpereirabr:/AP/openSUSE_Tumbleweed/x86_64/cdrkit-cdrtools-compat-1.1.11-3.13.x86_64.rpm
    but I am not sure. Can someone please confirm/deny this?
    Machine # 1 - Asus Prime Z390A, i7-9700k 3.6GHz, 32.0 GB ram, openSUSE Leap 15.0 64-bit, KDE Plasma 5.12.8
    Machine # 2 - Asus P8Z77-V Deluxe, i7-3770k 3.5GHz, 16.0 GB ram, opensuse Tumbleweed KDE Plasma 5.17.0

  2. #2
    Join Date
    Jun 2008
    Location
    Groningen, Netherlands
    Posts
    20,923
    Blog Entries
    14

    Default Re: Devede won't start

    Hi,

    FWIW: Devede starts on my system. And no message about cdrkit. Have to say though, that my laptop doesn't have an optical drive, although that should not matter. Will install (and test) devedeng now and report.
    ° Appreciate my reply? Click the star and let me know why.

    ° Perfection is not gonna happen. No way.

    http://en.opensuse.org/User:Knurpht
    http://nl.opensuse.org/Gebruiker:Knurpht

  3. #3
    Join Date
    Jun 2008
    Location
    Groningen, Netherlands
    Posts
    20,923
    Blog Entries
    14

    Default Re: Devede won't start

    For devedeng I get the same messages as you. Did you do the vendor switch to Packman?
    ° Appreciate my reply? Click the star and let me know why.

    ° Perfection is not gonna happen. No way.

    http://en.opensuse.org/User:Knurpht
    http://nl.opensuse.org/Gebruiker:Knurpht

  4. #4
    Join Date
    Sep 2012
    Posts
    6,801

    Default Re: Devede won't start

    Quote Originally Posted by LaQuirrELL View Post
    Code:
    Failed to load modules DEVEDE_CONVERT. Exiting
    While looking for what DEVEDE-CONVERT might be, I found some info saying I had to have cdrkit-cdrtools-compat file installed.
    The problem with "info from Internet" is that it never includes enough context to decide whether it applies to your case or not.

    You better follow systematic debugging: https://groups.google.com/forum/#!to...um/4xRKqLZMdF8

    Post output of "python /usr/lib/devede/devede_convert.py". Or where this module gets installed by your package.

  5. #5

    Default Re: Devede won't start

    @Knurpht

    For devedeng I get the same messages as you. Did you do the vendor switch to Packman?
    In YAST >Software it says devedeng is from the Packman repo.

    @arvidjaar
    I have posted at Google Groups Devede forum. [tonight]
    I have not been able to install either Devede or Devedeng successfully.
    Always, with either, when I try to start the software from the start Menu nothing happens.
    When I run the command that you asked for:
    Code:
    labud@install:~> python /usr/lib/devede/devede_convert.py
    Traceback (most recent call last):
      File "/usr/lib/devede/devede_convert.py", line 41, in <module>
        import dbus
    ImportError: No module named dbus
    labud@install:~> 


    Machine # 1 - Asus Prime Z390A, i7-9700k 3.6GHz, 32.0 GB ram, openSUSE Leap 15.0 64-bit, KDE Plasma 5.12.8
    Machine # 2 - Asus P8Z77-V Deluxe, i7-3770k 3.5GHz, 16.0 GB ram, opensuse Tumbleweed KDE Plasma 5.17.0

  6. #6
    Join Date
    Sep 2012
    Posts
    6,801

    Default Re: Devede won't start

    Quote Originally Posted by LaQuirrELL View Post
    Code:
        import dbus
    ImportError: No module named dbus
    

    So nothing about cdrkit so far. Do you have dbus-python installed (rpm -qa | grep dbus)?

  7. #7

    Default Re: Devede won't start

    @arvidjaar
    So nothing about cdrkit so far.
    I am only getting that msg [cdrkit-cdrtools-compat] about the devedeng software. The info I found may have been referring to devedeng not devede, but as I remember they were not explicit.

    Do you have dbus-python installed (rpm -qa | grep dbus)?

    Code:
    labud@install:~> rpm -qa | grep dbus
    gmenudbusmenuproxy-5.17.4-1.1.x86_64
    dbus-1-1.12.16-1.1.x86_64
    dbus-1-glib-0.108-3.8.x86_64
    libdbusmenu-qt5-2-0.9.3+15.10.20150604-1.16.x86_64
    python3-slip-dbus-0.6.5-6.2.noarch
    python3-dbus-python-1.2.8-2.6.x86_64
    libdbusmenu-qt5-2-32bit-0.9.3+15.10.20150604-1.16.x86_64
    libdbus-1-3-1.12.16-1.1.x86_64
    kdbusaddons-tools-5.65.0-1.1.x86_64
    ruby2.6-rubygem-ruby-dbus-0.15.0-1.5.x86_64
    xdg-dbus-proxy-0.1.2-1.1.x86_64
    libdbus-1-3-32bit-1.12.16-1.1.x86_64
    libqt5-qdbus-5.13.1-1.5.x86_64
    lua51-ldbus-0.0+git20190816.9e176fe-1.1.x86_64
    lua51-lua-dbus-0.0+git20170818.8fe38d0-2.5.x86_64
    dbus-1-glib-tool-0.108-3.8.x86_64
    dbus-1-x11-1.12.16-1.1.x86_64
    labud@install:~> 
    Machine # 1 - Asus Prime Z390A, i7-9700k 3.6GHz, 32.0 GB ram, openSUSE Leap 15.0 64-bit, KDE Plasma 5.12.8
    Machine # 2 - Asus P8Z77-V Deluxe, i7-3770k 3.5GHz, 16.0 GB ram, opensuse Tumbleweed KDE Plasma 5.17.0

  8. #8
    Join Date
    Sep 2012
    Posts
    6,801

    Default Re: Devede won't start

    Quote Originally Posted by LaQuirrELL View Post
    Code:
    python3-dbus-python-1.2.8-2.6.x86_64
    Try installing python2-dbus-python.

  9. #9

    Default Re: Devede won't start

    @arvidjaar

    Try installing python2-dbus-python.
    I installed python2-dbus-python, but it has changed nothing. Devede will not start, however now when I try to start it from terminal I get:
    Code:
    labud@install:~> devede
    If 'devede' is not a typo you can use command-not-found to lookup the package that contains it, like this:
        cnf devede
    labud@install:~>
    
    instead of what I was getting before:
    Code:
    labud@install:~> devede
    DeVeDe 3.22.0
    Locale: en_US.UTF-8
    Using package-installed files
    Failed to load modules DEVEDE_CONVERT. Exiting labud@install:~>
    Machine # 1 - Asus Prime Z390A, i7-9700k 3.6GHz, 32.0 GB ram, openSUSE Leap 15.0 64-bit, KDE Plasma 5.12.8
    Machine # 2 - Asus P8Z77-V Deluxe, i7-3770k 3.5GHz, 16.0 GB ram, opensuse Tumbleweed KDE Plasma 5.17.0

  10. #10
    Join Date
    Jun 2008
    Location
    The English Lake District. UK - GMT/BST
    Posts
    36,857
    Blog Entries
    20

    Default Re: Devede won't start

    The command is
    Code:
    devede_ng.py
    
    And mine doesn't start either

    It chucks this out

    Code:
    Traceback (most recent call last):
      File "/usr/bin/devede_ng.py", line 20, in <module>
        gi.require_version('Gtk', '3.0')
      File "/usr/lib64/python3.8/site-packages/gi/__init__.py", line 126, in require_version
        raise ValueError('Namespace %s not available' % namespace)
    ValueError: Namespace Gtk not available
    
    
    Tumbleweed_KDE
    My Articles Was I any help? If yes: Click the star below

Page 1 of 2 12 LastLast

Tags for this Thread

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •